#
# Test Wilcoxona dla dwoch prob lub dla jednej proby
#

zadanie = runif(1)

 co = "markera APE55"
 if (runif(1)<0.3)
    co = "globulin"
 if (runif(1)<0.3)
    co = "VEGF"


  x = round(rexp(15)*30)
  y = round(rexp(15)*30+18)
  rxy= rank(abs(x-y))

  Wp = sum(rxy[x-y>0])
  Wm = sum(rxy[x-y<0])

  t = wilcox.test(x,y, paired=T)

  a = gsub(".00","",print(xtable(rbind(przed=(x),po=floor(y))), floating=F, file="clipboard",include.colnames=F))
  
  cat(paste("Interesuje nas stenie ", co,"  w organizmie. Wiemy, e to stenie przyjmuje wartoci o rozkadzie wykadniczym. Dla 15 pacjentw zbadalimy stenie przed i po podaniu pewnego leku, wyniki przedstawiono poniej.\n\n\n\n \\vspace{0.5cm} \\noindent"))
  cat("\\begin{center} ")
  cat(a)
  cat("\\end{center} ")
  cat(paste("\\vspace{0.5cm}\n\n\n\n Chcemy sprawdzi, czy ten lek zmienia istotnie warto stenia ", co,".\n\n\n\n "))
  
  cat("Sformuuj hipotez zerow i alternatywn. Podaj nazw najbardziej odpowiedniego testu do weryfikacji tej hipotezy. Wyznacz warto statystyki testowej. Wyznacz obszar odrzucenia dla poziomu istotnoci $\\alpha=0.05$. Napisz jak decyzj sugeruje wynik testowania. \n")
  
  a = paste(rxy, collapse=", ")
  odpowiedz = paste("Test Wilcoxona dla danych sparowanych. \n\n\n\n rangi: ",a, "\n\n\n\n Wp, Wm: ",Wp, ", " , Wm, " \n\n\n\n W=[0, 26]  \n\n\n\n T=",format(t$statistic, digits=6), " \n\n\n\n p=", format(t$p.value, digits=6), "\n\n\n ",  sep="")

